Bug 1209885 - Properties lens doesn't like multi-line where first line has no value
Summary: Properties lens doesn't like multi-line where first line has no value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Dominic Cleal
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1209923
TreeView+ depends on / blocked
 
Reported: 2015-04-08 12:18 UTC by Luca Gioppo
Modified: 2015-07-22 05:41 UTC (History)
4 users (show)

Fixed In Version: augeas-1.0.0-10.el6
Doc Type: Bug Fix
Doc Text:
Cause: .properties (Java-style) files containing a multi-line value that begins with a blank line Consequence: Augeas was unable to parse these files Fix: Augeas' lens (parser) has been fixed to accept an empty starting line Result: Augeas can now parse these files
Clone Of:
: 1209923 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:41:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1256 normal SHIPPED_LIVE augeas bug fix and enhancement update 2015-07-20 17:50:00 UTC

Description Luca Gioppo 2015-04-08 12:18:58 UTC
as described here:
https://github.com/hercules-team/augeas/issues/110#issuecomment-41021392

Problem persist in 1.0.0-7.el6 but the fix is in augeas 1.2.0.

A port of the fix is needed for allowing tools like puppet and others to manage tomcat properties files that has this behaviour.
Thanks
Luca

Comment 2 Dominic Cleal 2015-04-08 12:56:14 UTC
Fixed in 491df810

Comment 3 Hu Zhang 2015-04-09 09:39:12 UTC
Problem persists in the latest 6.7.0 errata build: augeas-1.0.0-9.el6.
Also check the fix 491df810, and it works well.

Comment 5 Hu Zhang 2015-05-05 06:00:13 UTC
Verified with augeas-1.0.0-10.el6

Steps to verify:
# augtool
augtool> set /augeas/load/Properties/lens Properties.lns
augtool> set /augeas/load/Properties/incl[last()+1] /tmp/test.properties
augtool> load
augtool> print /files/tmp/test.properties/
/files/tmp/test.properties
/files/tmp/test.properties/tomcat.util.scan.DefaultJarScanner.jarsToSkip = " < multi > "

Works as expected. So fixed.

Comment 7 errata-xmlrpc 2015-07-22 05:41:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1256.html


Note You need to log in before you can comment on or make changes to this bug.